| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
dgbEMFault3DTranslator Class Reference
EarthModel

dgbEMSurfaceTranslator for EM::Fault3D. More...

`#include <emsurfacetr.h>`

Inheritance diagram for dgbEMFault3DTranslator:
[legend]

## Public Member Functions
| dgbEMFault3DTranslator (const char *nm, const char *usernm)
| ~dgbEMFault3DTranslator ()
Public Member Functions inherited from dgbEMSurfaceTranslator
| ~dgbEMSurfaceTranslator ()
Executor * | reader (EM::Surface &) override
Public Member Functions inherited from EMSurfaceTranslator
| ~EMSurfaceTranslator ()
uiString | errMsg () const
virtual Executor * | getAuxdataReader (EM::Surface &, int)
virtual Executor * | getAuxdataWriter (const EM::Surface &, int, bool dooverwrite=false)
bool | implRemove (const IOObj *, bool) const override
bool | implRename (const IOObj *, const char *) const override
bool | implSetReadOnly (const IOObj *, bool) const override
EM::SurfaceIODataSelection & | selections ()
void | setCreatedFrom (const char *src)
bool | startRead (const IOObj &)
bool | startWrite (const EM::Surface &)
Executor * | writer (const IOObj &, bool fullimplremove=true)
Public Member Functions inherited from Translator
virtual | ~Translator ()
virtual const char * | connType () const
virtual IOObj * | createWriteIOObj (const IOObjContext &, const MultiID &) const
virtual const char * | defExtension () const
virtual const char * | defImplExtension () const
virtual void | getAllFileNames (BufferStringSet &, bool forui=false) const
virtual bool | getConfirmRemoveMsg (const IOObj *, uiString &msg, uiString &canceltxt, uiString &deepremovetxt, uiString &shallowremovetxt) const
const char * | getDisplayName () const
| "username [group]"
virtual od_int64 | getFileSize (const IOObj *=nullptr) const
virtual Translator * | getNew () const =0
mOD_DisableCopy(Translator) const OD const TranslatorGroup * | group () const
virtual const char * | iconName () const
virtual bool | implExists (const IOObj *, bool forread) const
virtual void | implFileNames (const IOObj *, BufferStringSet &) const
virtual bool | implIsLink (const IOObj *) const
virtual bool | implReadOnly (const IOObj *) const
virtual bool | implRelocate (const IOObj *, const char *newfnm, const char *oldfnm=nullptr)
virtual bool | isUserSelectable (bool forread=true) const
virtual const uiString & | message () const
virtual int | nrImpls (const IOObj *) const
void | setGroup (TranslatorGroup *g)
uiString | sSelObjectIsWrongType ()
virtual bool | supportsReadFromCloud () const
virtual bool | supportsWriteToCloud () const
virtual void | usePar (const IOPar &)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
bool | hasRangeSelection () const override
bool | readOnlyZ () const override
bool | writeOnlyZ () const override
Protected Member Functions inherited from dgbEMSurfaceTranslator
| dgbEMSurfaceTranslator (const char *nm, const char *usernm)
void | getSels (StepInterval< int > &, StepInterval< int > &)
Executor * | getWriter () override
bool | prepRead () override
bool | setSurfaceTransform (const IOPar &)
Protected Member Functions inherited from EMSurfaceTranslator
| EMSurfaceTranslator (const char *nm, const char *usernm)
void | init (const EM::Surface *, const IOObj *)
virtual bool | prepWrite ()
void | setIOObj (const IOObj *)
Protected Member Functions inherited from Translator
| Translator (const char *nm, const char *usr_nm)

## Additional Inherited Members
Static Public Member Functions inherited from EMSurfaceTranslator
static bool | getBinarySetting ()
Static Public Member Functions inherited from Translator
static const Translator * | getTemplateInstance (const char *displayname)
static uiString | sBadConnection ()
static uiString | sNoIoobjMsg ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Protected Member Functions inherited from dgbEMSurfaceTranslator
static BufferString | createHOVName (const char *base, int idx)
Static Protected Member Functions inherited from Translator
static BufferString | getAssociatedFileName (const char *fnm, const char *extension)
static BufferString | getAssociatedFileName (const IOObj &, const char *extension)
static bool | removeAssociatedFile (const char *fnm, const char *ext)
static bool | renameAssociatedFile (const char *fnm, const char *ext, const char *newnm)
static bool | renameLargeFile (const char *fnm, const char *newfnm, const CallBack *cb=nullptr)
static bool | setPermAssociatedFile (const char *fnm, const char *ext, bool setwritable)
Protected Attributes inherited from dgbEMSurfaceTranslator
EM::dgbSurfaceReader * | reader_ = nullptr
Protected Attributes inherited from EMSurfaceTranslator
BufferString | crfrom_
uiString | errmsg_
IOObj * | ioobj_ = nullptr
EM::SurfaceIOData | sd_
EM::SurfaceIODataSelection | sels_
EM::Surface * | surface_ = nullptr
Protected Attributes inherited from Translator
TranslatorGroup * | group_ = nullptr
uiString | msg_
BufferString | typname_
BufferString | usrname_

## Detailed Description

dgbEMSurfaceTranslator for EM::Fault3D.

<>

## Constructor & Destructor Documentation

## ◆ dgbEMFault3DTranslator()

dgbEMFault3DTranslator::dgbEMFault3DTranslator | ( | const char * | nm,
|  | const char * | usernm )

## ◆ ~dgbEMFault3DTranslator()

dgbEMFault3DTranslator::~dgbEMFault3DTranslator | ( |  | ) |

## Member Function Documentation

## ◆ hasRangeSelection()

bool dgbEMFault3DTranslator::hasRangeSelection | ( |  | ) | const
| inline override protected virtual

Reimplemented from dgbEMSurfaceTranslator.

## ◆ readOnlyZ()

bool dgbEMFault3DTranslator::readOnlyZ | ( |  | ) | const
| inline override protected virtual

Reimplemented from dgbEMSurfaceTranslator.

## ◆ writeOnlyZ()

bool dgbEMFault3DTranslator::writeOnlyZ | ( |  | ) | const
| inline override protected virtual

Reimplemented from dgbEMSurfaceTranslator.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025